View Issue Details

IDProjectCategoryView StatusLast Update
0000659bareos-core[All Projects] directorpublic2016-10-13 11:55
ReportermvwieringenAssigned To 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version15.2.3 
Target VersionFixed in Version 
Summary0000659: Suppress already queued jobs for disabled schedules
DescriptionWhen a job already was queued by a schedule for the next
hour, and then the schedule is disabled, the already queued
jobs is still executed.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Relationships

child of 0000641 closedmaik Release bareos-15.2.4 
child of 0000584 closedjoergs Release bareos-14.2.7 

Activities

mvwieringen

mvwieringen

2016-05-13 19:22

developer   ~0002275

Fix committed to bareos master branch with changesetid 6291.
mvwieringen

mvwieringen

2016-07-08 14:34

developer   ~0002314

Fix committed to bareos bareos-14.2 branch with changesetid 6427.
maik

maik

2016-10-13 11:55

administrator   ~0002383

Closed, release done

Related Changesets

bareos: master dbddf5b0

2016-05-13 10:51:20

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Suppress already queued jobs for disabled schedules

When a job already was queued by a schedule for the next
hour, and then the schedule is disabled, the already queued
jobs is still executed.

Fixes 0000659: Suppress already queued jobs for disabled schedules
Affected Issues
0000659
mod - src/dird/scheduler.c Diff File

bareos: bareos-14.2 79feb550

2016-05-13 10:51:20

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Suppress already queued jobs for disabled schedules

When a job already was queued by a schedule for the next
hour, and then the schedule is disabled, the already queued
jobs is still executed.

Fixes 0000659: Suppress already queued jobs for disabled schedules
Affected Issues
0000659
mod - src/dird/scheduler.c Diff File

Issue History

Date Modified Username Field Change
2016-05-13 12:37 mvwieringen New Issue
2016-05-13 19:22 mvwieringen Changeset attached => bareos master dbddf5b0
2016-05-13 19:22 mvwieringen Note Added: 0002275
2016-05-13 19:22 mvwieringen Status new => resolved
2016-05-13 19:22 mvwieringen Resolution open => fixed
2016-05-16 10:48 mvwieringen adm bareos-master: impact => yes
2016-05-16 10:48 mvwieringen adm bareos-master: action => fixed
2016-05-16 10:48 mvwieringen adm bareos-15.2: impact => yes
2016-05-16 10:48 mvwieringen adm bareos-15.2: action => fixed
2016-05-16 10:48 mvwieringen adm bareos-14.2: impact => yes
2016-05-16 10:48 mvwieringen adm bareos-14.2: action => will care
2016-05-16 10:48 mvwieringen adm bareos-13.2: impact => no
2016-05-16 10:48 mvwieringen adm bareos-12.4: impact => no
2016-06-14 11:27 maik Relationship added child of 0000641
2016-07-05 11:37 joergs Relationship added child of 0000584
2016-07-05 13:34 joergs bareos-14.2: action will care => fixed
2016-07-08 14:34 mvwieringen Changeset attached => bareos bareos-14.2 79feb550
2016-07-08 14:34 mvwieringen Note Added: 0002314
2016-10-13 11:55 maik Note Added: 0002383
2016-10-13 11:55 maik Status resolved => closed